@import 'libs/shared/assets/src/global-style/color';

.container {
  max-width: 100%;
  height: 100%;
  margin-top: 10px;
}
.user-profile {
  display: flex;
  padding: 24px 18px;
  background: $white-color;
  margin: 0 1.5rem;
  border-radius: 14px;
  &__pointer {
    cursor: pointer;
  }
  &__title {
    margin-left: 12px;
    margin-bottom: 0px;
  }
}
.user-profile-card {
  margin: 12px 24px 12px 24px;
  border-radius: 16px;
  .ant-collapse {
    border: 0;
    .ant-collapse-header {
      background-color: $bg-form-default;
    }
  }
  &__row {
    margin-top: 0.5rem;
  }
  &__left {
    padding-left: 15px;
    &__data-permission {
      padding-left: 1.5rem;
    }
    &__role {
      padding-right: 1.5rem;
      border-right: 1px solid $bg-gray-light;
      &__label {
        margin-bottom: 0.5rem;
      }
    }
    &__select {
      width: 50%;
      ::ng-deep {
        .ant-select-selector {
          border-radius: 6px !important;
          min-height: 40px;
          display: flex;
          align-items: center;
        }
      }
    }
    &__label {
      font-size: 15px;
      //color: $label-color;
      line-height: 26px;
      font-weight: bold;
    }
    &__input {
      width: 100%;
      border-radius: 10px !important;
      min-height: 48px;
    }
    &__button-search {
      padding: 1.7rem 1.7rem 0 0;
      align-self: center;
      ::ng-deep {
        .btn {
          button {
            padding: 0 !important;
            width: 100% !important;
          }
        }
      }
    }
    &__button-primary {
      border-radius: 8px;
      display: flex;
      min-width: 174px;
      justify-content: center;
      align-items: center;
      padding: 6px 24px 6px 24px;
      font-size: 14px;
      min-height: 42px;
      background: $background-primary-button-color;
      color: $primary-button-color;
      font-weight: 600;
      border: initial;
      span {
        margin: 0px 4px;
      }
    }

  }
  ::ng-deep {
    .ant-collapse-content {
      .ant-table-row-expand-icon {
        color: $primary-button-color;
        background: none;
        border: 0;
        &:hover {
          border: 0;
          background: none;
        }
      }
    }
    .ant-table-thead > tr > th {
      background: $background-primary-button-color;
      font-weight: bold;
      font-size: 14px;
      line-height: 240%;
    }
    .ant-collapse-header {
      padding: 12px 0;
      border-bottom: 0px !important;
      margin-bottom: 0px !important;
      font-weight: 600;
      background: $bg-form-default;
    }
    .ant-collapse-item {
      margin-bottom: 0px !important;
      background: $bg-form-default;
      border: 0px;
    }
    .ant-collapse-content {
      border: 0px;
      .ant-collapse-content-box {
        padding: 0 !important;
      }
    }
    .ant-card-body {
      padding: 16px;
    }
  }
}

.info-user {
  &__text {
    display: inline-block;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
  }
  &__left {
    display: flex;
    flex-direction: column;
    padding-left: 1.5rem;
  }
  &__center {
    padding-left: 1.5rem;
  }
  &__right {
    position: relative;
    padding-left: 1.5rem;
  }
}
.title-input {
  margin-top: 1.4rem;
  display: flex;
}
.title {
  font-style: normal;
  font-weight: 700;
  font-size: 18px;
  line-height: 20px;
  letter-spacing: 0.15px;
  color: $black-color;
  margin-top: 16px;
}
.permission-text {
  margin-left: 2rem;
  display: inline-block;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  width: 92%;
}
.role-label {
  display: block;
  margin: 1rem 0;
}
ul li {
  padding: 10px 5px;
  word-break: break-all;
}
.warning {
  padding: 20px 20px 0px 20px;
  font-style: italic;
  font-weight: 600;
}

.data-table {
  border-bottom: 1px solid #f0f0f0;
  height: 343px;
  ::ng-deep{
    .ant-table-container.ng-star-inserted {
      height: 342px;
    }
    .ant-table-body.ng-star-inserted {
      min-height: 290px;
    }
    .ant-empty-normal {
      margin: 101.5px 0;
    }
  }
  .table-header > th {
    background: $color-th;
    color: $text-pagination;
    font-family: avertaB, sans-serif;
  }
  .row-table:hover > td {
    background: $hover-table-row;
  }
}

.icon-panel {
  margin-right: 10px;
  width: 24px;
  height: 24px;
  background: $bg-icon-add-primary;
  border-radius: 4px;
  display: flex;
  justify-content: center;
  align-items: center;
  em {
    color: floralwhite;
  }
}

.icon-panel-header {
  font-size: 15px !important;
  margin-left: 10px;
}
